Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 587550 - libsmbclient/samba3x tech-preview packages are not removed from the supplementary channel after an import on disconnected Satellite
libsmbclient/samba3x tech-preview packages are not removed from the supplemen...
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Petr Sklenar
:
Depends On: 608657
Blocks: sat531-triage
  Show dependency treegraph
 
Reported: 2010-04-30 04:58 EDT by Vishal Gaikwad
Modified: 2018-11-14 14:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 608657 (view as bug list)
Environment:
Last Closed: 2010-10-05 09:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0740 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2010-10-05 09:16:28 EDT

  None (edit)
Description Vishal Gaikwad 2010-04-30 04:58:52 EDT
Description of problem:
The import of RHEL5-Server-Supplementary content doesn't appear to be cleaning up the samba3x tech-preview packages.

Version-Release number of selected component (if applicable):
RHNS 530

How reproducible:
Always

Steps to Reproduce:
1. Export the latest rhel-x86_64-server-supplementary-5 channel.
2. Import it on a Satellite which has old rhel-x86_64-server-supplementary-5 channel with the tech-preview packages like 'samba3x'
3. After a successful import these packages are not being removed.
4. Now, if you remove the rhel-x86_64-server-supplementary-5 channel from the importing satellite server and sync it from RHN Hosted, you will see that these packages are being removed.
  
Actual results:
After a successful import these tech-preview packages are not being removed.

Expected results:
satellite-sync should behave in the same manner on channel dumps as it behaves when we sync a channel from RHN Hosted.

Additional info:
A workaround is to remove the old supplementary channel using spacewalk-remove-channel and then sync it again from the channel dumps.
Comment 11 Issue Tracker 2010-06-10 08:58:07 EDT
Event posted on 06-10-2010 08:58am EDT by kbaxley

Some other packages from the main RHEL5 channel that weren't cleaned up
from the 5.4 to 5.5 sync...

On the production disconnected classified satellite we have the x86_64
packages:

	kmod-be2net-rhel5u4-2.101.377r-1.4.el5_4
	kmod-be2net-xen-rhel5u4-2.101.377r-1.4.el5_4

But these aren't on the connected satellite that we sync from.


This event sent from IssueTracker by kbaxley 
 issue 847343
Comment 14 Miroslav Suchý 2010-06-28 08:29:39 EDT
Fixed in spacewalk see:
https://bugzilla.redhat.com/show_bug.cgi?id=608657#c1
Comment 19 errata-xmlrpc 2010-10-05 09:17:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0740.html

Note You need to log in before you can comment on or make changes to this bug.